Hónapok óta tudni lehet róla, hogy milyen újdonságokkal készülnek a WordPress fejlesztői, lehetett jelentkezni béta-tesztelőnek is, és most megjelent a már várt új főverzió, a WordPress 3.2. Frissíthetünk megint, ha ki szeretnénk használni az újdonságokat – érdemes! Az egyik (szerintem) legfontosabb terv, a kód kipucolása, a memória-igény csökkentése persze majd a gyakorlatban derül ki, hogy mennyire sikerült.

A kevésbé fontos változtatásokkal kezdve: némileg módosult a Vezérlőpult: hangsúlyosabb kereteket kapott a függőleges menüsor, és külön gomb jelent meg ennek összecsukására, halványabb és szögletesebb lett a dobozok kerete, több funkció került az admin sávra (már ha használod ezt, mert persze ez sem kötelező), és egy ablak figyelmeztet, ha elavult, frissítésre szoruló böngészőt használsz (az Internet Explorer 6-os pedig többé már nem támogatott böngésző – amúgy is remélem, nincs már olyan elvetemült, aki még mindig azt használja…)

A bejegyzések és oldalak szerkesztése közben mostantól html nézetben is elérhető a teljes képernyős üzemmód (ilyenkor minden más eltűnik az oldalról, csak a legfontosabb, maga a tartalom marad a szemünk előtt), és jelentős ráncfelvarráson esett keresztül az alapértelmezett sablonunk is, amely mostantól a TwentyTen (2010) helyett a TwentyEleven (2011) nevet viseli: van benne diavetítés a kiemelt cikkekhez tartozó képekből, van lehetőség a legfontosabb tartalmaink bemutatására a főoldalon, többféle alapértelmezett oldalsablonnal érkezik, és több színsémából is választhatunk, hogy csak a legfontosabbakat említsem. Természetesen továbbra is nagyon rugalmasan testreszabható az oldalunk kinézete akkor is, ha nem keresünk másikat, hanem ennél a sablonnál maradunk: kiválaszthatjuk a fejlécképet, a hátteret, saját menüt szerkeszthetünk és így tovább.

Ami nem annyira látványos, de igen hasznos lesz: a fejlesztők ígérete szerint tisztábbak lettek a kódok, kevesebb memóriát igényel a motor futtatása, így végeredményben jelentős gyorsulásra számíthatunk kedvenc weblapkésztő rendszerünk használata közben. Úgy legyen!  🙂

Az új WordPress verzió a tárhellyel szemben is támaszt követelményeket: a PHP környezetnek legalább 5.2.4 verziójúnak kell lenni, az adatbázis-kezelőnek (MySQL) pedig legalább 5.0 verziójúnak. (Az általunk szolgáltatott tárhely megfelel ezeknek a követelményeknek, tárhelycsomagjainkról ide kattintva olvashatsz bővebben.) Ha nem tudod, hogy a tárhelyed megfelelő-e, frissítés előtt kérdezd meg a szolgáltatódat!

Jó szórakozást a WordPress új verziójának megismeréséhez – és mielőtt frissítesz, ne felejtsd el elmenteni a tartalmadat az Eszközök -> Exportálás menüpontban, és érdemes teljes mentést készítened a tárhelyed wp-content könyvtáráról is.